<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin>
	<extension
		point="org.eclipse.ui.editors">
		<editor
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.XtextEditor"
			contributorClass="org.eclipse.ui.editors.text.TextEditorActionContributor"
			default="true"
			extensions="tdltxi"
			id="org.etsi.mts.tdl.TDLtxi"
			name="TDLtxi Editor">
		</editor>
	</extension>
	<extension
		point="org.eclipse.ui.handlers">
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.hyperlinking.OpenDeclarationHandler"
			commandId="org.eclipse.xtext.ui.editor.hyperlinking.OpenDeclaration">
			<activeWhen>
				<reference
					definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
				</reference>
			</activeWhen>
		</handler>
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.handler.ValidateActionHandler"
			commandId="org.etsi.mts.tdl.TDLtxi.validate">
			<activeWhen>
				<reference
					definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
				</reference>
			</activeWhen>
		</handler>
		<!-- copy qualified name -->
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.copyqualifiedname.EditorCopyQualifiedNameHandler"
			commandId="org.eclipse.xtext.ui.editor.copyqualifiedname.EditorCopyQualifiedName">
			<activeWhen>
				<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened" />
			</activeWhen>
		</handler>
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.copyqualifiedname.OutlineCopyQualifiedNameHandler"
			commandId="org.eclipse.xtext.ui.editor.copyqualifiedname.OutlineCopyQualifiedName">
			<activeWhen>
				<and>
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.XtextEditor.opened" />
					<iterate>
						<adapt type="org.eclipse.xtext.ui.editor.outline.IOutlineNode" />
					</iterate>
				</and>
			</activeWhen>
		</handler>
	</extension>
	<extension point="org.eclipse.core.expressions.definitions">
		<definition id="org.etsi.mts.tdl.TDLtxi.Editor.opened">
			<and>
				<reference definitionId="isActiveEditorAnInstanceOfXtextEditor"/>
				<with variable="activeEditor">
					<test property="org.eclipse.xtext.ui.editor.XtextEditor.languageName"
						value="org.etsi.mts.tdl.TDLtxi"
						forcePluginActivation="true"/>
				</with>
			</and>
		</definition>
		<definition id="org.etsi.mts.tdl.TDLtxi.XtextEditor.opened">
			<and>
				<reference definitionId="isXtextEditorActive"/>
				<with variable="activeEditor">
					<test property="org.eclipse.xtext.ui.editor.XtextEditor.languageName"
						value="org.etsi.mts.tdl.TDLtxi"
						forcePluginActivation="true"/>
				</with>
			</and>
		</definition>
	</extension>
	<extension
			point="org.eclipse.ui.preferencePages">
		<page
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi"
			name="TDLtxi">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.syntaxcoloring.SyntaxColoringPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.coloring"
			name="Syntax Coloring">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.templates.XtextTemplatePreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.templates"
			name="Templates">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
	</extension>
	<extension
			point="org.eclipse.ui.propertyPages">
		<page
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi"
			name="TDLtxi">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
			<enabledWhen>
				<adapt type="org.eclipse.core.resources.IProject"/>
			</enabledWhen>
			<filter name="projectNature" value="org.eclipse.xtext.ui.shared.xtextNature"/>
		</page>
	</extension>
	<extension
		point="org.eclipse.ui.keywords">
		<keyword
			id="org.etsi.mts.tdl.ui.keyword_TDLtxi"
			label="TDLtxi"/>
	</extension>
	<extension
		point="org.eclipse.ui.commands">
		<command
			description="Trigger expensive validation"
			id="org.etsi.mts.tdl.TDLtxi.validate"
			name="Validate">
		</command>
		<!-- copy qualified name -->
		<command
			id="org.eclipse.xtext.ui.editor.copyqualifiedname.EditorCopyQualifiedName"
			categoryId="org.eclipse.ui.category.edit"
			description="Copy the qualified name for the selected element"
			name="Copy Qualified Name">
		</command>
		<command
			id="org.eclipse.xtext.ui.editor.copyqualifiedname.OutlineCopyQualifiedName"
			categoryId="org.eclipse.ui.category.edit"
			description="Copy the qualified name for the selected element"
			name="Copy Qualified Name">
		</command>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution
			locationURI="popup:#TextEditorContext?after=group.edit">
			<command
				commandId="org.etsi.mts.tdl.TDLtxi.validate"
				style="push"
				tooltip="Trigger expensive validation">
				<visibleWhen checkEnabled="false">
					<reference
						definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
					</reference>
				</visibleWhen>
			</command>
		</menuContribution>
		<!-- copy qualified name -->
		<menuContribution locationURI="popup:#TextEditorContext?after=copy">
			<command commandId="org.eclipse.xtext.ui.editor.copyqualifiedname.EditorCopyQualifiedName"
				style="push" tooltip="Copy Qualified Name">
				<visibleWhen checkEnabled="false">
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened" />
				</visibleWhen>
			</command>
		</menuContribution>
		<menuContribution locationURI="menu:edit?after=copy">
			<command commandId="org.eclipse.xtext.ui.editor.copyqualifiedname.EditorCopyQualifiedName"
				style="push" tooltip="Copy Qualified Name">
				<visibleWhen checkEnabled="false">
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened" />
				</visibleWhen>
			</command>
		</menuContribution>
		<menuContribution locationURI="popup:org.eclipse.xtext.ui.outline?after=additions">
			<command commandId="org.eclipse.xtext.ui.editor.copyqualifiedname.OutlineCopyQualifiedName"
				style="push" tooltip="Copy Qualified Name">
				<visibleWhen checkEnabled="false">
					<and>
						<reference definitionId="org.etsi.mts.tdl.TDLtxi.XtextEditor.opened" />
						<iterate>
							<adapt type="org.eclipse.xtext.ui.editor.outline.IOutlineNode" />
						</iterate>
					</and>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution locationURI="popup:#TextEditorContext?endof=group.find">
			<command commandId="org.eclipse.xtext.ui.editor.FindReferences">
				<visibleWhen checkEnabled="false">
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
					</reference>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.ui.handlers">
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.findrefs.FindReferencesHandler"
			commandId="org.eclipse.xtext.ui.editor.FindReferences">
			<activeWhen>
				<reference
					definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
				</reference>
			</activeWhen>
		</handler>
	</extension>
	<extension point="org.eclipse.core.contenttype.contentTypes">
		<content-type
			base-type="org.eclipse.core.runtime.text"
			file-extensions="tdltxi"
			id="org.etsi.mts.tdl.TDLtxi.contenttype"
			name="TDLtxi File"
			priority="normal">
		</content-type>
	</extension>
	<!-- adding resource factories -->
	<extension
		point="org.eclipse.emf.ecore.extension_parser">
		<parser
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.resource.IResourceFactory"
			type="tdltxi">
		</parser>
	</extension>
	<extension point="org.eclipse.xtext.extension_resourceServiceProvider">
		<resourceServiceProvider
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.resource.IResourceUIServiceProvider"
			uriExtension="tdltxi">
		</resourceServiceProvider>
	</extension>
	<!-- marker definitions for org.etsi.mts.tdl.TDLtxi -->
	<extension
			id="tdltxi.check.fast"
			name="TDLtxi Problem"
			point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.xtext.ui.check.fast"/>
		<persistent value="true"/>
	</extension>
	<extension
			id="tdltxi.check.normal"
			name="TDLtxi Problem"
			point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.xtext.ui.check.normal"/>
		<persistent value="true"/>
	</extension>
	<extension
			id="tdltxi.check.expensive"
			name="TDLtxi Problem"
			point="org.eclipse.core.resources.markers">
		<super type="org.eclipse.xtext.ui.check.expensive"/>
		<persistent value="true"/>
	</extension>
	<extension point="org.eclipse.ui.preferencePages">
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.validation.ValidatorPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.validator.preferencePage"
			name="Errors/Warnings">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
	</extension>
	<extension point="org.eclipse.xtext.builder.participant">
		<participant
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.builder.IXtextBuilderParticipant"
			fileExtensions="tdltxi"/>
	</extension>
	<extension point="org.eclipse.ui.preferencePages">
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.builder.preferences.BuilderPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.compiler.preferencePage"
			name="Compiler">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
	</extension>
	<extension point="org.eclipse.ui.propertyPages">
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.builder.preferences.BuilderPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.compiler.propertyPage"
			name="Compiler">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
			<enabledWhen>
				<adapt type="org.eclipse.core.resources.IProject"/>
			</enabledWhen>
			<filter name="projectNature" value="org.eclipse.xtext.ui.shared.xtextNature"/>
		</page>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution locationURI="popup:#TextEditorContext?after=xtext.ui.openDeclaration">
			<command
				commandId="org.eclipse.xtext.ui.OpenGeneratedFileCommand"
				id="org.etsi.mts.tdl.TDLtxi.OpenGeneratedCode"
				style="push">
				<visibleWhen checkEnabled="false">
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened" />
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.ui.handlers">
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.generator.trace.OpenGeneratedFileHandler"
			commandId="org.eclipse.xtext.ui.OpenGeneratedFileCommand">
			<activeWhen>
				<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened" />
			</activeWhen>
		</handler>
	</extension>
	<!-- Quick Outline -->
	<extension
		point="org.eclipse.ui.handlers">
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.outline.quickoutline.ShowQuickOutlineActionHandler"
			commandId="org.eclipse.xtext.ui.editor.outline.QuickOutline">
			<activeWhen>
				<reference
					definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
				</reference>
			</activeWhen>
		</handler>
	</extension>
	<extension
		point="org.eclipse.ui.commands">
		<command
			description="Open the quick outline."
			id="org.eclipse.xtext.ui.editor.outline.QuickOutline"
			name="Quick Outline">
		</command>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution
			locationURI="popup:#TextEditorContext?after=group.open">
			<command commandId="org.eclipse.xtext.ui.editor.outline.QuickOutline"
				style="push"
				tooltip="Open Quick Outline">
				<visibleWhen checkEnabled="false">
					<reference definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened"/>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<!-- quickfix marker resolution generator for org.etsi.mts.tdl.TDLtxi -->
	<extension
			point="org.eclipse.ui.ide.markerResolution">
		<markerResolutionGenerator
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.quickfix.MarkerResolutionGenerator"
			markerType="org.etsi.mts.tdl.txi.ui.tdltxi.check.fast">
			<attribute
				name="FIXABLE_KEY"
				value="true">
			</attribute>
		</markerResolutionGenerator>
		<markerResolutionGenerator
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.quickfix.MarkerResolutionGenerator"
			markerType="org.etsi.mts.tdl.txi.ui.tdltxi.check.normal">
			<attribute
				name="FIXABLE_KEY"
				value="true">
			</attribute>
		</markerResolutionGenerator>
		<markerResolutionGenerator
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.quickfix.MarkerResolutionGenerator"
			markerType="org.etsi.mts.tdl.txi.ui.tdltxi.check.expensive">
			<attribute
				name="FIXABLE_KEY"
				value="true">
			</attribute>
		</markerResolutionGenerator>
	</extension>
	<!-- Rename Refactoring -->
	<extension point="org.eclipse.ui.handlers">
		<handler
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.refactoring.ui.DefaultRenameElementHandler"
			commandId="org.eclipse.xtext.ui.refactoring.RenameElement">
			<activeWhen>
				<reference
					definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
				</reference>
			</activeWhen>
		</handler>
	</extension>
	<extension point="org.eclipse.ui.menus">
		<menuContribution
			locationURI="popup:#TextEditorContext?after=group.edit">
			<command commandId="org.eclipse.xtext.ui.refactoring.RenameElement"
				style="push">
				<visibleWhen checkEnabled="false">
					<reference
						definitionId="org.etsi.mts.tdl.TDLtxi.Editor.opened">
					</reference>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.ui.preferencePages">
		<page
			category="org.etsi.mts.tdl.TDLtxi"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.refactoring.ui.RefactoringPreferencePage"
			id="org.etsi.mts.tdl.TDLtxi.refactoring"
			name="Refactoring">
			<keywordReference id="org.etsi.mts.tdl.ui.keyword_TDLtxi"/>
		</page>
	</extension>
	<extension point="org.eclipse.compare.contentViewers">
		<viewer id="org.etsi.mts.tdl.TDLtxi.compare.contentViewers"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.compare.InjectableViewerCreator"
			extensions="tdltxi">
		</viewer>
		<contentTypeBinding
			contentTypeId="org.etsi.mts.tdl.TDLtxi.contenttype"
			contentViewerId="org.etsi.mts.tdl.TDLtxi.compare.contentViewers" />
	</extension>
	<extension point="org.eclipse.compare.contentMergeViewers">
		<viewer id="org.etsi.mts.tdl.TDLtxi.compare.contentMergeViewers"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.compare.InjectableViewerCreator"
			extensions="tdltxi" label="TDLtxi Compare">
		</viewer>
		<contentTypeBinding
			contentTypeId="org.etsi.mts.tdl.TDLtxi.contenttype"
			contentMergeViewerId="org.etsi.mts.tdl.TDLtxi.compare.contentMergeViewers" />
	</extension>
	<extension point="org.eclipse.ui.editors.documentProviders">
		<provider id="org.etsi.mts.tdl.TDLtxi.editors.documentProviders"
			class="org.etsi.mts.tdl.ui.TDLtxiExecutableExtensionFactory:org.eclipse.xtext.ui.editor.model.XtextDocumentProvider"
			extensions="tdltxi">
		</provider>
	</extension>
	<extension point="org.eclipse.team.core.fileTypes">
		<fileTypes
			extension="tdltxi"
			type="text">
		</fileTypes>
	</extension>
</plugin>
